<ion-header>
  <ion-navbar color="primary">
    <ion-title>eContact</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
    <form style="margin-right:20px;margin-top: 6px;" (ngSubmit)="logForm()">
        <ion-title style="display: block">Create account</ion-title>
        <div class="card-title">{{error}}</div>
        <ion-item>
            <ion-label color="primary" floating>Firstname</ion-label>
            <ion-input type="text" [(ngModel)]="firstname" name="firstname"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label color="primary" floating>Lastname</ion-label>
            <ion-input type="text" [(ngModel)]="lastname" name="lastname"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label color="primary" floating>Email</ion-label>
            <ion-input type="email" [(ngModel)]="email" name="email"></ion-input>
        </ion-item>    
        <ion-item>
            <ion-label color="primary" floating>Password</ion-label>
            <ion-input type="password" [(ngModel)]="password" name="password"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label color="primary" floating>Repeated password</ion-label>
            <ion-input type="password" [(ngModel)]="repeatpassword" name="repeatpassword"></ion-input>
        </ion-item>
        <button ion-button block style="margin-top: 25px;margin-left: 10px;" type="submit" block>Sign Up</button>
    </form>

</ion-content>
